BLK_QUEUE_MAKE_RE(9)

NAME
blk_queue_make_request - define an alternate make_request function for a device

SYNOPSIS

void blk_queue_make_request (request_queue_t * q, make_request_fn * mfn);

ARGUMENTS

q   the request queue for the device to be affected

mfn the alternate make_request function

DESCRIPTION

The normal way for &struct bios to be passed to a device driver is for them to be collected into requests on a request queue, and then to allow the device driver to select requests off that queue when it is ready. This works well for many block devices. However some block devices (typically virtual devices such as md or lvm) do not benefit from the processing on the request queue, and are served best by having the requests passed directly to them. This can be achieved by providing a function to blk_queue_make_request.

CAVEAT

The driver that does this *must* be able to deal appropriately with buffers in ``highmemory''. This can be accomplished by either calling __bio_kmap_atomic to get a temporary kernel mapping, or by calling blk_queue_bounce to create a buffer in normal memory.